MrSID Decode SDK for LiDAR Reference Manual 1.1.4.4709

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes | List of all members
Error Class Reference

Error is the base class for all LiDAR SDK errors.

`#include <Error.h>`

Inheritance diagram for Error:
[legend]

## Public Member Functions
| ~Error (void) throw ()
| Error (const Error &copy) throw ()
| Error (const char *file, const char *func, int line, int code) throw ()
| Construct an error exception. More...
const char * | filename (void) const throw ()
| Get the file name. More...
const char * | function (void) const throw ()
| Get the function name. More...
int | line (void) const throw ()
| Get the line number. More...
int | error (void) const throw ()
| Get the error code. More...
const char * | what (void) const throw ()
| Get the text description. More...
Error & | operator() (const char *fmt,...) throw ()
| Append more text the error discription. More...

## Protected Types
enum | { BUFFERSIZE = 1024 }

## Protected Attributes
char | m_desc [BUFFERSIZE]
const char * | m_file
const char * | m_func
int | m_line
int | m_error

## Detailed Description

Definition at line 31 of file Error.h.

## Member Enumeration Documentation

anonymous enum
| protected

Enumerator
BUFFERSIZE |

Definition at line 90 of file Error.h.

## Constructor & Destructor Documentation

Error::~Error | ( | void | ) |  |
throw | ( |
| ) |  |

Error::Error | ( | const Error & | copy) |  |
throw | ( |
| ) |  |

Error::Error | ( | const char * | file,
|  | const char * | func,
|  | int | line,
|  | int | code
| ) |  |
throw | ( |
| ) |  |

Parameters

  file | the file name where the error occurred
  func | the function name where the error occurred
  line | the line number where the error occurred
  code | the error code

## Member Function Documentation

int Error::error | ( | void | ) |  | const
throw | ( |
| ) |  |

This method returns the error code for the error.

const char* Error::filename | ( | void | ) |  | const
throw | ( |
| ) |  |

This method returns the file name where the error occurred.

const char* Error::function | ( | void | ) |  | const
throw | ( |
| ) |  |

This method returns the function name where the error occurred.

int Error::line | ( | void | ) |  | const
throw | ( |
| ) |  |

This method returns the line number where the error occurred.

Error& Error::operator() | ( | const char * | fmt,
|  |  | ...
| ) |  |
throw | ( |
| ) |  |

This method append text to the error discription. It uses the printf() format syntax.

const char* Error::what | ( | void | ) |  | const
throw | ( |
| ) |  |

This method returns a text discription of the error.

## Member Data Documentation

char Error::m_desc[BUFFERSIZE]
| protected

Definition at line 91 of file Error.h.

int Error::m_error
| protected

Definition at line 95 of file Error.h.

const char* Error::m_file
| protected

Definition at line 92 of file Error.h.

const char* Error::m_func
| protected

Definition at line 93 of file Error.h.

int Error::m_line
| protected

Definition at line 94 of file Error.h.

The documentation for this class was generated from the following file:

- Error.h

LizardTech